Skip to content
Get started

Market

ModelsExpand Collapse
UserMarket = object { borrow, lend }
borrow: UserBorrowMarket { accounts, totals }

Overview of user borrowing portfolio

accounts: array of UserBorrowMarketAccount { collaterals, debts, debts_net_rate, 2 more }

Market sub-accounts for the user

collaterals: array of UserCollateralAssetPool { amount, asset_info, extra }

Account collateral allocations

amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: array of UserDebtAssetPool { asset_info, extra, market_rate, 2 more }

Account debt allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
debts_net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
health: UserAccountHealth { base, boost, extra, result }

Health data for this account

base: string

Account health value, before any added health boosts

boost: string

Account health boost to be applied

extra: object { text }
text: object { base, boost, result }

Human-readable field variants. Will not be null when query param with_text is true.

base: string
boost: string
result: string
result: string

Account health, with boost

index: number

Account index

formatuint8
minimum0
maximum255
totals: UserBorrowMarketPools { collaterals, debts, debts_net_rate }

Collateral/debt totals of all sub-accounts by asset

collaterals: array of UserCollateralAssetPool { amount, asset_info, extra }

Account collateral allocations

amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: array of UserDebtAssetPool { asset_info, extra, market_rate, 2 more }

Account debt allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
debts_net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
lend: UserLendMarket { asset_pools, net_rate }

Overview of user lending portfolio

asset_pools: array of UserLendAssetPool { asset_info, market_rate, origin_equivalent, receipt_amounts }

User lending allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

market_rate: MarketRate { apr, apy, extra }

Current market lending rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
origin_equivalent: UserLendOriginAmounts { collateralized, extra, held, total }

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: string

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: object { text }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
held: string

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: string

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts { collateralized, extra, held, total }

The lending amounts in the original receipt token amounts

collateralized: string

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: object { text, value }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
value: object { collateralized, extra, held, 2 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: string
extra: object { text }
text: object { collateralized, held, price, total }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: string
held: string
price: string

Text representation of price

total: string
held: string
price: string

Price used in value calculations

total: string
held: string

Total amount of receipt token held in address balance

total: string

Sum of receipt amount held and receipt amount collateralized

net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
UserMergedMarket = object { asset_info, borrow_collateral, borrow_debt, lend }

User market allocations grouped by asset.

Note: because of the inverted structure of merged market accounts, account health cannot be represented and is excluded in the merged structures.

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

borrow_collateral: array of UserCollateralAccountPool { amount, extra, index }

User collateral contribution for asset in borrow market, listed by subaccount

amount: string

Amount of this asset which is actively collateralized

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

index: number

Account index

formatuint8
minimum0
maximum255
borrow_debt: array of UserDebtAccountPool { extra, index, principal, shares }

User debt contribution for asset in borrow market, listed by subaccount

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
index: number

Account index

formatuint8
minimum0
maximum255
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
lend: optional object { origin_equivalent, receipt_amounts }

User contribution for asset's lending market, if one exists

origin_equivalent: UserLendOriginAmounts { collateralized, extra, held, total }

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: string

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: object { text }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
held: string

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: string

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts { collateralized, extra, held, total }

The lending amounts in the original receipt token amounts

collateralized: string

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: object { text, value }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
value: object { collateralized, extra, held, 2 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: string
extra: object { text }
text: object { collateralized, held, price, total }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: string
held: string
price: string

Text representation of price

total: string
held: string
price: string

Price used in value calculations

total: string
held: string

Total amount of receipt token held in address balance

total: string

Sum of receipt amount held and receipt amount collateralized

MarketLend

Get user lending portfolio
GET/api/v1/users/{address}/markets/lend
Lookup user lending distribution by asset
GET/api/v1/users/{address}/markets/lend/lookup
ModelsExpand Collapse
UserLendAssetPool = object { asset_info, market_rate, origin_equivalent, receipt_amounts }
asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

market_rate: MarketRate { apr, apy, extra }

Current market lending rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
origin_equivalent: UserLendOriginAmounts { collateralized, extra, held, total }

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: string

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: object { text }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
held: string

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: string

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts { collateralized, extra, held, total }

The lending amounts in the original receipt token amounts

collateralized: string

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: object { text, value }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
value: object { collateralized, extra, held, 2 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: string
extra: object { text }
text: object { collateralized, held, price, total }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: string
held: string
price: string

Text representation of price

total: string
held: string
price: string

Price used in value calculations

total: string
held: string

Total amount of receipt token held in address balance

total: string

Sum of receipt amount held and receipt amount collateralized

UserLendMarket = object { asset_pools, net_rate }
asset_pools: array of UserLendAssetPool { asset_info, market_rate, origin_equivalent, receipt_amounts }

User lending allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

market_rate: MarketRate { apr, apy, extra }

Current market lending rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
origin_equivalent: UserLendOriginAmounts { collateralized, extra, held, total }

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: string

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: object { text }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
held: string

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: string

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts { collateralized, extra, held, total }

The lending amounts in the original receipt token amounts

collateralized: string

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: object { text, value }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
value: object { collateralized, extra, held, 2 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: string
extra: object { text }
text: object { collateralized, held, price, total }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: string
held: string
price: string

Text representation of price

total: string
held: string
price: string

Price used in value calculations

total: string
held: string

Total amount of receipt token held in address balance

total: string

Sum of receipt amount held and receipt amount collateralized

net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
UserLendOriginAmounts = object { collateralized, extra, held, total }
collateralized: string

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: object { text }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
held: string

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: string

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

UserLendReceiptAmounts = object { collateralized, extra, held, total }
collateralized: string

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: object { text, value }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
value: object { collateralized, extra, held, 2 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: string
extra: object { text }
text: object { collateralized, held, price, total }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: string
held: string
price: string

Text representation of price

total: string
held: string
price: string

Price used in value calculations

total: string
held: string

Total amount of receipt token held in address balance

total: string

Sum of receipt amount held and receipt amount collateralized

MarketBorrow

Get user borrow portfolio
GET/api/v1/users/{address}/markets/borrow
Lookup user borrow market collateral accounts by asset
GET/api/v1/users/{address}/markets/borrow/lookup/collateral
Lookup user borrow market debt accounts by asset
GET/api/v1/users/{address}/markets/borrow/lookup/debt
Get user combined collaterals for all subaccounts
GET/api/v1/users/{address}/markets/borrow/sum/collaterals
Get user combined debts for all subaccounts
GET/api/v1/users/{address}/markets/borrow/sum/debts
ModelsExpand Collapse
UserBorrowMarket = object { accounts, totals }
accounts: array of UserBorrowMarketAccount { collaterals, debts, debts_net_rate, 2 more }

Market sub-accounts for the user

collaterals: array of UserCollateralAssetPool { amount, asset_info, extra }

Account collateral allocations

amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: array of UserDebtAssetPool { asset_info, extra, market_rate, 2 more }

Account debt allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
debts_net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
health: UserAccountHealth { base, boost, extra, result }

Health data for this account

base: string

Account health value, before any added health boosts

boost: string

Account health boost to be applied

extra: object { text }
text: object { base, boost, result }

Human-readable field variants. Will not be null when query param with_text is true.

base: string
boost: string
result: string
result: string

Account health, with boost

index: number

Account index

formatuint8
minimum0
maximum255
totals: UserBorrowMarketPools { collaterals, debts, debts_net_rate }

Collateral/debt totals of all sub-accounts by asset

collaterals: array of UserCollateralAssetPool { amount, asset_info, extra }

Account collateral allocations

amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: array of UserDebtAssetPool { asset_info, extra, market_rate, 2 more }

Account debt allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
debts_net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
UserBorrowMarketPools = object { collaterals, debts, debts_net_rate }
collaterals: array of UserCollateralAssetPool { amount, asset_info, extra }

Account collateral allocations

amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: array of UserDebtAssetPool { asset_info, extra, market_rate, 2 more }

Account debt allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
debts_net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string

MarketBorrowSubaccount

Get user borrow subaccount
GET/api/v1/users/{address}/markets/borrow/accounts/{index}
Get user borrow subaccount health
GET/api/v1/users/{address}/markets/borrow/accounts/{index}/health
Get user borrow subaccount collaterals
GET/api/v1/users/{address}/markets/borrow/accounts/{index}/collaterals
Get user borrow subaccount debts
GET/api/v1/users/{address}/markets/borrow/accounts/{index}/debts
ModelsExpand Collapse
UserAccountHealth = object { base, boost, extra, result }
base: string

Account health value, before any added health boosts

boost: string

Account health boost to be applied

extra: object { text }
text: object { base, boost, result }

Human-readable field variants. Will not be null when query param with_text is true.

base: string
boost: string
result: string
result: string

Account health, with boost

UserBorrowMarketAccount = object { collaterals, debts, debts_net_rate, 2 more }

User borrowing subaccount

collaterals: array of UserCollateralAssetPool { amount, asset_info, extra }

Account collateral allocations

amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: array of UserDebtAssetPool { asset_info, extra, market_rate, 2 more }

Account debt allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
debts_net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
health: UserAccountHealth { base, boost, extra, result }

Health data for this account

base: string

Account health value, before any added health boosts

boost: string

Account health boost to be applied

extra: object { text }
text: object { base, boost, result }

Human-readable field variants. Will not be null when query param with_text is true.

base: string
boost: string
result: string
result: string

Account health, with boost

index: number

Account index

formatuint8
minimum0
maximum255
UserCollateralAccountPool = object { amount, extra, index }

Associates a subaccount's index with it's inner allocations for a given asset.

This type is identical to UserCollateralAssetPool, except the asset association is interchanged for an account index.

Typically used in contexts where multiple subaccounts with a shared underlying asset are batched together.

amount: string

Amount of this asset which is actively collateralized

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

index: number

Account index

formatuint8
minimum0
maximum255
UserCollateralAssetPool = object { amount, asset_info, extra }
amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

UserDebtAccountPool = object { extra, index, principal, shares }

Associates a subaccount's index with it's inner allocations for a given asset.

This type is identical to UserDebtAssetPool, except the asset association is interchanged for an account index.

Typically used in contexts where multiple subaccounts with a shared underlying asset are batched together.

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
index: number

Account index

formatuint8
minimum0
maximum255
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
UserDebtAssetPool = object { asset_info, extra, market_rate, 2 more }
asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string